Page MenuHomePhabricator

[Bug] Segmentation fault during removing Tone
Closed, ResolvedPublic1 Story Points

Description

Reproduce:

  1. Create empty project
  2. Open Sound manager
  3. Add Tone
  4. Click '-' to delete Tone

Actual result:
Program received signal SIGSEGV, Segmentation fault.

Expected result
Tone should be deleted without fault

bt:

#0 _sound_del_cb (data=<optimized out>, obj=<optimized out>,

event_info=<optimized out>) at ../../src/bin/ui/sound_manager.c:436

#1 0x00007ffff5fc004c in _eo_base_event_callback_call (

obj_id=<optimized out>, pd=0xda7900, 
desc=0x7ffff717a380 <_EFL_UI_EVENT_CLICKED>, event_info=<optimized out>)
at lib/eo/eo_base_class.c:1176

#2 0x00007ffff5fbd41b in eo_event_callback_call (obj=0x40000410c000618e,

desc=0x7ffff717a380 <_EFL_UI_EVENT_CLICKED>, event_info=0x0)
at lib/eo/eo_base.eo.c:142

#3 0x00007ffff626ee20 in edje_match_callback_exec_check_finals (

signal_states=<optimized out>, signal_states=<optimized out>, 
source_states=<optimized out>, source_states=<optimized out>, 
prop=<optimized out>, ed=0xaaaaaaaaaaaaaaab, source=0x7ffff744793e "", 
sig=0xaa073c "elm,action,click", matches=<optimized out>, ssp=0xb169a0)
at lib/edje/edje_match.c:556

#4 edje_match_callback_exec (ssp=ssp@entry=0xb169a0, matches=<optimized out>,

sig=sig@entry=0xaa073c "elm,action,click", 
source=source@entry=0x7ffff744793e "", ed=ed@entry=0x16a2aa0, 
prop=prop@entry=0 '\000') at lib/edje/edje_match.c:711

#5 0x00007ffff6275157 in _edje_emit_cb (prop=0 '\000', data=0x0,

src=0x7ffff744793e "", sig=0xaa073c "elm,action,click", ed=0x16a2aa0)
at lib/edje/edje_program.c:1461

#6 _edje_emit_handle (ed=0x16a2aa0, sig=0xaa073c "elm,action,click",

src=0x7ffff744793e "", sdata=0x0, prop=0 '\000')
at lib/edje/edje_program.c:1413

#7 0x00007ffff62701bf in _edje_message_queue_process ()

at lib/edje/edje_message_queue.c:787

#8 0x00007ffff6270367 in _edje_job (data=<optimized out>)

at lib/edje/edje_message_queue.c:154

#9 0x00007ffff6b162bb in _ecore_job_event_handler (data=<optimized out>,

type=<optimized out>, ev=<optimized out>) at lib/ecore/ecore_job.c:98

#10 0x00007ffff6b12129 in _ecore_call_handler_cb (event=<optimized out>

QA_Igor created this task.Jul 12 2016, 11:15 PM
FurryMyad moved this task from KanBan (Bugs pool) to Eflete 0.7 on the Eflete board.
FurryMyad edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.Jul 13 2016, 4:54 AM
FurryMyad set the point value for this task to 1.Jul 13 2016, 5:10 AM
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.
QA_Igor moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:16 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:14 AM